import time
from selenium import webdriver
from selenium.webdriver.common.by import By
from selenium.webdriver.common.keys import Keys

options = webdriver.ChromeOptions()
defaultDir = "/home/rodude123/Downloads/mtg/"
prefs = {"download.default_directory" : defaultDir}
options.add_experimental_option("prefs",prefs)
options.add_argument("--headless")
driver = webdriver.Chrome(executable_path='./chromedriver', options=options)
driver.set_window_size(1280, 720)
arr = []

with open('cards.txt') as f:
    for line in f:
        arr.append(line.strip())

print("These are the cards that couldn't be downloaded")
for i in range(0, len(arr)):
    try:
        driver.get("https://scryfall.com/")
        driver.find_element(By.ID, "q").send_keys('"'+ arr[i] + '"')
        driver.find_element(By.ID, "q").send_keys(Keys.ENTER)
        time.sleep(1)
        driver.find_element(By.XPATH, "/html/body/div[3]/div[2]/div/div[3]/ul/li[1]/a").click()
        time.sleep(1)
    except Exception as e:
        print(arr[i])
        continue

